/// <reference types="react" />
/// <reference types="react-redux" />
import * as React from "react";
import { User, AuthorisationSetting } from "./model";
export interface AuthoriseStateProps {
    currentUser: User;
}
export interface AuthoriseProps {
    authorise: AuthorisationSetting;
    condition?: (currentUser: User) => boolean;
}
export declare const AuthoriseUnconnected: React.SFC<AuthoriseStateProps & AuthoriseProps>;
export declare const Authorise: React.ComponentClass<Pick<AuthoriseStateProps & AuthoriseProps, "authorise" | "condition">> & {
    WrappedComponent: React.ComponentType<AuthoriseStateProps & AuthoriseProps>;
};
