/// <reference types="react-redux" />
import * as React from "react";
import { User, AuthorizationSetting, UserAuthorizationCondition } from "./model";
export interface AuthorizeStateProps {
    currentUser: User;
}
export interface AuthorizeProps {
    authorize: AuthorizationSetting;
    condition?: UserAuthorizationCondition;
}
export declare const AuthorizeUnconnected: React.SFC<AuthorizeStateProps & AuthorizeProps>;
export declare const Authorize: React.ComponentClass<Pick<AuthorizeStateProps & AuthorizeProps, "authorize" | "condition">> & {
    WrappedComponent: React.ComponentType<AuthorizeStateProps & AuthorizeProps>;
};
