"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Authorize_1 = require("./Authorize");
exports.authorize = function (authorizeSetting, condition) {
    return function (Component) {
        return function (props) { return (React.createElement(Authorize_1.Authorize, { authorize: authorizeSetting, condition: condition },
            React.createElement(Component, __assign({}, props)))); };
    };
};
