"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAuthorised = function (user, setting) {
    if (setting !== false) {
        if (!user.authenticated) {
            return "Unauthenticated";
        }
        else {
            var authorised = false;
            if (setting === true) {
                authorised = true;
            }
            else if (setting instanceof Array) {
                authorised = setting.some(function (a) { return user.roles.indexOf(a) > -1; });
            }
            else {
                authorised = user.roles.indexOf(setting) > -1;
            }
            if (!authorised) {
                return "Unauthorised";
            }
        }
    }
    return "Authorised";
};
