"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAuthorized = function (user, setting) {
    if (setting !== false) {
        if (!user.authenticated) {
            return "Unauthenticated";
        }
        else {
            var authorized = false;
            if (setting === true) {
                authorized = true;
            }
            else if (setting instanceof Array) {
                authorized = setting.some(function (a) { return user.roles.indexOf(a) > -1; });
            }
            else {
                authorized = user.roles.indexOf(setting) > -1;
            }
            if (!authorized) {
                return "Unauthorized";
            }
        }
    }
    return "Authorized";
};
