export declare type AuthorizationSetting = boolean | string | string[];
export declare type AuthorizationResult = "Authorized" | "Unauthorized" | "Unauthenticated";
export declare type UserAuthorizationCondition = (currentUser: User) => boolean;
export interface User {
    authenticated: boolean;
    roles: string[];
}
export interface AuthState {
    currentUser: User;
}
