"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_redux_1 = require("react-redux");
var isAuthorised_1 = require("./isAuthorised");
exports.AuthoriseUnconnected = function (_a) {
    var authorise = _a.authorise, currentUser = _a.currentUser, condition = _a.condition, children = _a.children;
    return isAuthorised_1.isAuthorised(currentUser, authorise) === "Authorised"
        && (condition === undefined || condition(currentUser))
        && React.createElement(React.Fragment, null, children);
};
var mapStateToProps = function (_a) {
    var currentUser = _a.currentUser;
    return ({ currentUser: currentUser });
};
exports.Authorise = react_redux_1.connect(mapStateToProps)(exports.AuthoriseUnconnected);
