"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_redux_1 = require("react-redux");
var isAuthorized_1 = require("./isAuthorized");
exports.AuthorizeUnconnected = function (_a) {
    var authorize = _a.authorize, currentUser = _a.currentUser, condition = _a.condition, children = _a.children;
    return isAuthorized_1.isAuthorized(currentUser, authorize) === "Authorized"
        && (condition === undefined || condition(currentUser))
        && React.createElement(React.Fragment, null, children);
};
var mapStateToProps = function (_a) {
    var currentUser = _a.currentUser;
    return ({ currentUser: currentUser });
};
exports.Authorize = react_redux_1.connect(mapStateToProps)(exports.AuthorizeUnconnected);
